// IWYU pragma: private, include "nvim/clipboard.h"
#define DEFINE_FUNC_ATTRIBUTES
#include "nvim/func_attr.h"
#undef DEFINE_FUNC_ATTRIBUTES
#ifndef DLLEXPORT
#  ifdef MSWIN
#    define DLLEXPORT __declspec(dllexport)
#  else
#    define DLLEXPORT
#  endif
#endif
DLLEXPORT yankreg_T *adjust_clipboard_name(int *name, bool quiet, bool writing);
DLLEXPORT bool get_clipboard(int name, yankreg_T **target, bool quiet);
DLLEXPORT void set_clipboard(int name, yankreg_T *reg);
DLLEXPORT void start_batch_changes(void);
DLLEXPORT void end_batch_changes(void);
DLLEXPORT int save_batch_count(void);
DLLEXPORT void restore_batch_count(int save_count);
#include "nvim/func_attr.h"
